package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.Exam;
import cn.com.qmth.stmms.biz.exam.query.ExamSearchQuery;
import cn.com.qmth.stmms.common.enums.ExamStatus;

public interface ExamService {

    Exam save(Exam exam);

    Exam findById(Integer id);

    void updateStatus(int id, ExamStatus status);

    void deleteById(Integer id);

    void delete(Exam exam);

    ExamSearchQuery findByQuery(ExamSearchQuery query);

    List<Exam> findByStatus(ExamStatus status);

    List<Exam> findByCreatorAndStatus(Integer id, ExamStatus status);

	List<Exam> findBySchoolId(Integer schoolId);
}
